Bug 463307 - [LTC 6.0 FEAT] 201331:openCryptoki Enhancements
[LTC 6.0 FEAT] 201331:openCryptoki Enhancements
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: opencryptoki (Show other bugs)
6.0
All All
high Severity high
: alpha
: 6.0
Assigned To: Dan Horák
Miroslav Vadkerti
: FutureFeature, OtherQA
Depends On:
Blocks: 356741 554559
  Show dependency treegraph
 
Reported: 2008-09-22 17:00 EDT by IBM Bug Proxy
Modified: 2010-11-15 09:33 EST (History)
7 users (show)

See Also:
Fixed In Version: opencryptoki-2.3.0-4.1.el6
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-15 09:33:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 17:00:44 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:27 EDT
1. Feature Overview:
Feature Id:	[201331]
a. Name of Feature:	openCryptoki Enhancements
b. Feature Description
Please update openCryptoki to latest upstream level.

2. Feature Details:
Sponsor:	LTC Security
Architectures:
x86
x86_64
ppc64
s390 native
s390 compat
s390x

Arch Specificity: Purely Common Code
Delivery Mechanism: Direct from community
Category:	Security
Request Type:	Package - Feature from IBM
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	ock 2.2.6  ibmca engine 1.1

3. Business Case
openCryptoki allows applications to seemlessly make use of HW crypto on System z. Latest upstream
level has bug fixes and additional features.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mounir Bsaibes, bsaibes@us.ibm.com, 512-838-1301

Technical contact(s):
George Wilson, gcwilson@us.ibm.com
Debora Velarde, dvelarde@us.ibm.com

IBM Manager:
Bryan Jacobson, bjacobson@us.ibm.com
Comment 1 IBM Bug Proxy 2008-10-27 17:40:25 EDT
Reassigning to our opencryptoki maintainer, Rajiv.
Comment 2 IBM Bug Proxy 2009-04-08 16:50:44 EDT
------- Comment From wortman@us.ibm.com 2009-04-08 16:41 EDT-------
We will not have the HW required in time for RHEL6, therefore we are quiting this request.  We will open new ones for a future release
Comment 4 IBM Bug Proxy 2009-10-23 13:50:57 EDT
------- Comment From wortman@us.ibm.com 2009-10-23 13:47 EDT-------
Red Hat please update opencryptoki to version 2.3:
http://sourceforge.net/projects/opencryptoki/files/opencryptoki/2.3.0/opencryptoki-2.3.0.tar.gz/download

The 2.3 version have some advantages compared to the 2.2.8 version:

* It contains support for libica 2.0
* It has support for 4096 bit keys

Since in RHEL 6, libica 2.0.2 will be provided, it would make sense to provide
also opencryptoki 2.3
Comment 5 Suzanne Yeghiayan 2009-10-30 18:04:45 EDT
This bug is in MODIFIED status since opencryptoki-2.2.8-5.el6 has been included in RHEL 6.0 as per comment 3.

Since comment 4 is a new request, we ask that IBM create a new bug requesting opencryptoki-2.3.
Comment 6 releng-rhel@redhat.com 2009-10-30 18:13:06 EDT
Fixed in 'opencryptoki-2.2.8-5.el6', included in compose 'RHEL6.0-20091029.0'.
Moving to ON_QA.
Comment 7 John Jarvis 2009-11-02 08:13:39 EST
IBM is signed up to test and provide feedback.
Comment 9 IBM Bug Proxy 2009-11-02 12:29:33 EST
------- Comment From gcwilson@us.ibm.com 2009-11-02 12:24 EDT-------
Hi Rajiv, Can you give it a try?
Comment 10 IBM Bug Proxy 2009-12-04 14:00:52 EST
------- Comment From wortman@us.ibm.com 2009-12-04 13:58 EDT-------
This is now being tracked by Bug 57659   -  [LTC 6.0 FEAT] ock 2.3 Enhancements [202047]
Comment 11 Miroslav Vadkerti 2010-04-08 00:27:38 EDT
The correct bug number from comment #10 is:
Bug 533386  - [LTC 6.0 FEAT] ock 2.3 Enhancements [202047]
Comment 12 Miroslav Vadkerti 2010-04-08 00:33:21 EDT
Current status: Waiting from IBM testing. RHEL6.0-Beta1-3.0 contains package opencryptoki-2.3.0-4.1.el6.
Comment 14 Miroslav Vadkerti 2010-09-15 08:50:58 EDT
any updated on this?
Comment 15 Georg Markgraf 2010-09-15 13:27:01 EDT
This feature is verified OK with the related bugzilla 
 62929 -RIT819063- opencryptoki-2.3 packages missing from RHEL6 on s390 platform 
is verified OK 

and this feature also seem to get tracked via 
  RHBZ 533386 - [LTC 6.0 FEAT] ock 2.3 Enhancements [202047]
that is also verified OK
Comment 16 John Jarvis 2010-09-15 13:51:28 EDT
Great, thanks Georg.
Comment 17 releng-rhel@redhat.com 2010-11-15 09:33:32 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.